{% extends "account/base_entrance.html" %}
{% load allauth i18n %}
{% block head_title %}
    {% trans "Signup" %}
{% endblock head_title %}
{% block content %}
<div class="container mb-4">
    <div>
        <div class="card text-center my-3 " >

        <div class='row '>
            {% if user.is_authenticated %}
            <div class='col-sm-12 col-md-6 col-6'>
                    <a href="{% url 'account_email' %}">{% trans "Change Email" %}</a>
                </div>
                <div class='col-sm-12 col-md-6 col-6' >

                    <a href="{% url 'account_logout' %}">{% trans "Sign Out" %}</a>
                </div>
            {% else %}
            <div class='col-sm-12 col-md-6 col-lg-6 col-12'>
                    <button class="btn btn-dark-green  w-100 "  onclick="location.href='/accounts/login/'"  id="card-info-2"><strong>{% trans "Sign In" %}</strong></button>
                </div>
                <div class='col-sm-12 col-md-6 col-lg-6 col-12'>
                    <button class="btn btn-dark-green  w-100 "  onclick="location.href='/accounts/signup/'"  id="card-info-2"><strong>{% trans "Sign Up" %}</strong></button>

                </div>
                
            {% endif %}
            </div>
    </div>
</div>

    

    <div class="card bg-opacity-50 " style="border: #ffffff; border-radius: 1;
box-shadow: 0 4px 10px 0 rgba(36, 36, 36, 0.2);"  id="card-signin">
    <div class="card-header" id="card-info-2">
    
    {% element h1 %}
        {% trans "Sign Up" %}
    {% endelement %}
    
    <p>
        {% blocktrans %}Já tem uma conta acesse aqui <a href="{{ login_url }}">login</a> ou nos botões acima .{% endblocktrans %}
    
    </p>
    {% url 'signup' as action_url %}
    </div>
    <div class='card-body '>
    {% element form form=form method="post" action=action_url tags="entrance,signup" %}
        {% slot body %} 
            {% csrf_token %}

            {% comment %} {% element fields form=form unlabeled=True %} {% endcomment %}
            <div id="dynamic-forms-container"></div>

                {% for field in form %}
                    <label class='mt-3' for="{{ field.id_for_label}}"><strong>{{ field.label}}:</strong></label>

                    {{ field }}

                    {% for error in field.errors %}
                        <div class="alert alert-danger my-2">
                            {{ error }}
                        </div>
                    {% endfor %}
                {% endfor %}
                        
            {% comment %} {% endelement %} {% endcomment %}
            {% if redirect_field_value %}
                <input type="hidden"
                    name="{{ redirect_field_name }}"
                    value="{{ redirect_field_value }}" />
            {% endif %}

        {% endslot %}
        {% slot actions %}
        <button type="submit" class="btn btn-primary">{% trans "Sign Up" %}</button>

        {% endslot %}
    {% endelement %}
    {% if SOCIALACCOUNT_ENABLED %}
        {% include "socialaccount/snippets/login.html" with page_layout="entrance" %}
    {% endif %}
</div>
</div>
<script>
    var container = document.getElementById('dynamic-forms-container');
    container.innerHTML = '<h5>User_type é relacionado ao tipo do usuario, Donos não Precisam pre-encher cadastro extra CRMV, CPF e CNPJ</h5>';
    document.getElementById('id_user_type').addEventListener('change', function() {
        var container = document.getElementById('dynamic-forms-container');
        container.innerHTML = ''; 

        switch (this.value) {
        case 'V':
            var formContent = ' <h5>Se for um Veterinario é Necessario Pre-Encher o cadastro extra com CRMV, realize esta primeira etapa para liberar o CRMV</h5>';
            break;
        default:
            var formContent = '<h5>User_type é relacionado ao tipo do usuario, Donos não Precisam pre-encher cadastro extra CRMV, CPF e CNPJ</h5>';
        }
        
        container.innerHTML += formContent;
    });
    </script>
</div>
{% endblock content %}
